Index: lisp/ChangeLog
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/ChangeLog,v
retrieving revision 1.402
diff -u -r1.402 ChangeLog
--- lisp/ChangeLog	2002/06/04 06:04:04	1.402
+++ lisp/ChangeLog	2002/06/04 17:25:09
@@ -1,3 +1,7 @@
+2002-06-04  Andy Piper  <andy@xemacs.org>
+
+	* startup.el (normal-top-level): Fix bad merge.
+
 2002-06-03  Andy Piper  <andy@xemacs.org>
 
 	* dialog-items.el (make-search-dialog): align various subcontrols
Index: lisp/startup.el
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/startup.el,v
retrieving revision 1.41
diff -u -r1.41 startup.el
--- lisp/startup.el	2002/06/04 06:04:24	1.41
+++ lisp/startup.el	2002/06/04 17:25:14
@@ -537,8 +537,11 @@
 
     (startup-load-autoloads)
 
-    (unwind-protect
-	(command-line)
+    (let (error-data)
+      (condition-case data
+	  (command-line)
+	;; catch non-error signals, especially quit
+	(t (setq error-data data)))
       ;; Do this again, in case the init file defined more abbreviations.
       (setq default-directory (abbreviate-file-name default-directory))
       ;; Specify the file for recording all the auto save files of
Index: src/ChangeLog
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/src/ChangeLog,v
retrieving revision 1.449
diff -u -r1.449 ChangeLog
--- src/ChangeLog	2002/06/04 06:04:45	1.449
+++ src/ChangeLog	2002/06/04 17:25:27
@@ -1,3 +1,8 @@
+2002-06-04  Andy Piper  <andy@xemacs.org>
+
+	* glyphs-widget.c (widget_logical_unit_height): don't try and
+	determine geometry of nil strings.
+
 2002-06-03  Andy Piper  <andy@xemacs.org>
 
 	* frame.c (frame_conversion_internal): add conversion appropriate
Index: src/glyphs-widget.c
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/src/glyphs-widget.c,v
retrieving revision 1.8
diff -u -r1.8 glyphs-widget.c
--- src/glyphs-widget.c	2002/06/04 06:05:15	1.8
+++ src/glyphs-widget.c	2002/06/04 17:25:32
@@ -295,7 +295,9 @@
 widget_logical_unit_height (Lisp_Image_Instance* ii)
 {
   return logical_unit_height (NILP (IMAGE_INSTANCE_WIDGET_TEXT (ii)) ?
-			      IMAGE_INSTANCE_NAME (ii) 
+			      NILP (IMAGE_INSTANCE_NAME (ii)) ?
+			      Fsymbol_name (Qwidget) 
+			      : IMAGE_INSTANCE_NAME (ii)
 			      : IMAGE_INSTANCE_WIDGET_TEXT (ii),
 			      IMAGE_INSTANCE_WIDGET_FACE (ii),
 			      IMAGE_INSTANCE_DOMAIN (ii));
